
pfSense - Bug #9328

Static routes set by system.inc for DNS gateway bindings are not binded on the good NICs

02/15/2019 09:58 AM - Alexandre Anriot

Status: Not a Bug Start date: 02/15/2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Routing Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes:  Affected

Architecture:

 

Description

Hello,

We are running a POC with 2 WAN gateways which use their own DNS servers on a per-FAI basis.

The 2 gateways are using 2 different NIC (bge0 and bge2).

Though, we get these 4 IP routes, with the first 2 routes which should use -iface bge2 instead, according to gateways configurations:

80.10.246.130      172.1.6.2        UGHS       bge0

81.253.149.1       172.1.6.2        UGHS       bge0

89.2.0.1           172.1.6.1        UGHS       bge0

89.2.0.2           172.1.6.1        UGHS       bge0

 If I understand correctly, these lines are created here: https://github.com/pfsense/pfsense/blob/master/src/etc/inc/system.inc#L196.

The gateway affected by this issue is using an interface in DHCP mode (the FAI box acts as a DHCP server), and we can see

"dynamic" in the "Gateway" field of the Gateway.

Any idea to solve this issue?

Thanks.

History

#1 - 02/18/2019 02:54 AM - Alexandre Anriot

Hello,

I discovered that this behaviour was related to the current settings, with 2 gateways on the same subnet, so it overlaps...

Everything works as expected with a fixed setup, but I'm leaving this ticket opened for now, as it might be a good thing to specify the NIC on the route

command, as it's done in other places of the pfSense code. Any feelings?

Thanks.

#2 - 02/18/2019 06:40 AM - Jim Pingle

- Status changed from New to Not a Bug

Doesn't matter what you choose for the interface, overlapping subnets and duplicate gateways are not supported.
